curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node/tree \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"nodes": [
{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceType": "table",
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}
],
"maxFolderDepth": 123
}Get tree nodes for a base
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node/tree \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"nodes": [
{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceType": "table",
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}
],
"maxFolderDepth": 123
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
此页面对您有帮助吗?